%define upstream_name    Date-Simple
%define upstream_version 3.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 26

Summary:    A simple date object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Dates are complex enough without times and timezones. This module may be
used to create simple date objects. It handles:

* Validation.

  Reject 1999-02-29 but accept 2000-02-29.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog COPYING META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.30.0-26.mga10
+ Revision: 2225914
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 3.30.0-25.mga10
+ Revision: 2088021
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 3.30.0-24.mga10
+ Revision: 2011133
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 3.30.0-23.mga9
+ Revision: 1861774
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 3.30.0-22.mga9
+ Revision: 1795670
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 3.30.0-21.mga9
+ Revision: 1726541
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 3.30.0-20.mga8
+ Revision: 1594404
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 3.30.0-19.mga8
+ Revision: 1529442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 3.30.0-18.mga8
+ Revision: 1433495
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 3.30.0-17.mga7
+ Revision: 1292733
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 3.30.0-16.mga7
+ Revision: 1250089
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 3.30.0-15.mga7
+ Revision: 1163876
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.30.0-14.mga7
+ Revision: 1148934
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.30.0-13.mga7
+ Revision: 1126743
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 3.30.0-12.mga6
+ Revision: 1025049
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3.30.0-11.mga6
+ Revision: 957093
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 3.30.0-10.mga6
+ Revision: 843844
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.30.0-9.mga5
+ Revision: 745901
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 3.30.0-8.mga5
+ Revision: 735475
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.30.0-7.mga5
+ Revision: 684264
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.30.0-6.mga5
+ Revision: 631054
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 3.30.0-5.mga4
+ Revision: 524579
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 3.30.0-4.mga4
+ Revision: 431184
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.30.0-3.mga3
+ Revision: 365546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.30.0-2.mga3
+ Revision: 250487
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 3.30.0-1.mga2
+ Revision: 162758
- imported package perl-Date-Simple


* Fri Nov 04 2011 cpan2dist 3.03-1mga
- initial mageia release, generated with cpan2dist
